2 wanghantong wanghantong 于 2015.07.25 11:04 提问

eclipse中指定父pom的compile插件版本后子工程报错 10C

开发环境:eclipse mars,m2eclipse,maven3.3(external)
parent pom中,Management配置compile插件,但是不指定版本,
son pom中不配置compile-Plugin,
此时执行编译:发现使用的是compile plugin version = 3.1
问题开始:
此时修改 Management配置compile插件version= other,比如3.3
此时项目仍然可以正常编译,发现使用的compile Plugin version= 3.3
但是此时:在IDE中查看发现,子工程名称前,报红叉,但是没有错误提示
求指点报错原因。

2个回答

enson16855
enson16855   2015.07.25 13:02

子项目 update maven project试试

wanghantong
wanghantong 这是什么原理?是我哪里没更新上来?
2 年多之前 回复
Evankaka
Evankaka   Ds   Rxr 2015.07.25 12:00

那应该就是JDK版本的问题了,更改下编译使用的JDK版本

wanghantong
wanghantong JDK1.8, 和JDK没关系
2 年多之前 回复
Csdn user default icon
上传中...
上传图片
插入图片